Time tracking
Upsert Time Tracking Assignment
Enables or disables time tracking for an employee with mode, template, timezone and effective dates.
POSThttps://api.toku.com/hris/upsert-time-tracking-assignment
Not available to API keys yet. It will need time:write.
curl --request POST \
--url 'https://api.toku.com/hris/upsert-time-tracking-assignment' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"enabled": true,
"mode": "MANUAL",
"timeTrackingScheduleTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timezone": "string",
"shortBreakPay": "PAID",
"mealBreakPay": "PAID",
"breakPayNote": "string",
"weeklyHoursLimit": 0,
"effectiveFrom": "string",
"effectiveTo": "string"
}'200 response
{
"roleTimeTrackingAssignmentID": "string",
"enabled": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstring<uuid>requiredenabledbooleanrequiredmodestringAvailable options: MANUAL, AUTOPILOT
timeTrackingScheduleTemplateIDstring | null<uuid>timezonestringAllowed: 1 to 80 characters
shortBreakPaystring | nullAvailable options: PAID, UNPAID, null
mealBreakPaystring | nullAvailable options: PAID, UNPAID, null
breakPayNotestring | nullAllowed: at most 1000 characters
weeklyHoursLimitnumber | nullAllowed: 0.5 to 168
effectiveFromstringAllowed: matches ^\d{4}-\d{2}-\d{2}$
effectiveTostring | nullAllowed: matches ^\d{4}-\d{2}-\d{2}$
Response
200Successful response
roleTimeTrackingAssignmentIDstringrequiredenabledbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits